Create a new tag for the company
Create a new tag for the company
Create a new tag for the authenticated user's company. The auto_assign flag determines if the tag can be automatically assigned by the system (True) or only manually (False). Requires tag creation permission.
Authorization
bearerAuth Console session token (Authorization: Bearer <session>) or product API key (Authorization: Bearer <api-key> or x-api-key). Session tokens are validated via Better Auth get-session; API keys against the shared database.
In: header
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request body (TagCreateRequestSerializer).
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/tags" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string" }'{ "id": 0, "name": "string", "description": "string", "auto_assign": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "document_count": 0}List all tags for the authenticated user's company GET
List all tags for the authenticated user's company Retrieve a list of tags for the authenticated user's company. Results are ordered by creation date (newest first).
Delete a company tag DELETE
Delete a company tag Delete a company tag. This will also remove all Document-Tag associations with this tag. Requires tag deletion permission.